tools

# Procedural File: schemaTest.php

Source Location: /templates/tests/schemaTest.php

## Page Details:

Tests the lamdaemon script.

#### Tags:

author: | Roland Gruber

#### Includes:

include_once("../../lib/security.inc") [line 32]
security functions
include_once("../../lib/config.inc") [line 34]
access to configuration options
include_once("../../lib/schema.inc") [line 38]
LDAP schema
include_once("../../lib/modules.inc") [line 36]
account modules

### checkSchemaForModule [line 109]

`String checkSchemaForModule( String $name, String $type)`

Checks if the object classes and attributes for this module are available.

#### Tags:

return: | error message or null

#### Parameters

String | $name | module name
String | $type | type (user, group, ...)

[ Top ]

### getRecursiveAttributesFromObjectClass [line 145]

`array getRecursiveAttributesFromObjectClass( ObjectClass $oClass)`

Returns the names of all attributes which are managed by the given object class and its parents.

#### Tags:

return: | list of attribute names

#### Parameters

ObjectClass | $oClass | object class

[ Top ]

Documentation generated on Wed, 05 Aug 2009 19:53:08 +0200 by phpDocumentor 1.4.1